IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
Ioss::Scalar Class Reference

`#include <Ioss_ConcreteVariableType.h>`

Inheritance diagram for Ioss::Scalar:
[legend]
Collaboration diagram for Ioss::Scalar:
[legend]

## Public Member Functions
std::string | label (int which, char suffix_sep='_') const override
std::string | label_name (const std::string &base, int, char suffix_sep) const override
int | suffix_count () const override
Public Member Functions inherited from Ioss::VariableType
virtual | ~VariableType ()
int | component_count () const
std::string | name () const
virtual bool | match (const std::vector< Suffix > &suffices) const

## Static Public Member Functions
static void | factory ()
Static Public Member Functions inherited from Ioss::VariableType
static void | alias (const std::string &base, const std::string &syn)
static int | describe (NameList *names)
| Get the names of variable types known to IOSS. More...
static bool | create_named_suffix_field_type (const std::string &type_name, const std::vector< std::string > &suffices)
static bool | get_field_type_mapping (const std::string &field, std::string *type)
static bool | add_field_type_mapping (const std::string &raw_field, const std::string &raw_type)
static std::string | numeric_label (int which, int ncomp, const std::string &name)
static const VariableType * | factory (const std::string &raw_name, int copies=1)
static const VariableType * | factory (const std::vector< Suffix > &suffices)

## Protected Member Functions
| Scalar ()
Protected Member Functions inherited from Ioss::VariableType
| VariableType (const std::string &type, int comp_count, bool delete_me=false)

## Private Member Functions
| Scalar (const Scalar &)

## Additional Inherited Members
Static Protected Member Functions inherited from Ioss::VariableType
static Registry & | registry ()

## Constructor & Destructor Documentation

## ◆ Scalar() [1/2]

Ioss::Scalar::Scalar | ( |  | ) |
| protected

## ◆ Scalar() [2/2]

Ioss::Scalar::Scalar | ( | const Scalar & |  | ) |
| private

## Member Function Documentation

## ◆ factory()

void Ioss::Scalar::factory | ( |  | ) |
| static

## ◆ label()

std::string Ioss::Scalar::label | ( | int | which,
|  | char | suffix_sep = `'_'`
| ) |  | const
| override virtual

Implements Ioss::VariableType.

## ◆ label_name()

std::string Ioss::Scalar::label_name | ( | const std::string & | base,
|  | int | ,
|  | char | suffix_sep
| ) |  | const
| override virtual

Reimplemented from Ioss::VariableType.

## ◆ suffix_count()

int Ioss::Scalar::suffix_count | ( |  | ) | const
| inline override virtual

Reimplemented from Ioss::VariableType.

The documentation for this class was generated from the following files:

- src/Ioss_ConcreteVariableType.h
- src/Ioss_ConcreteVariableType.C